ICC-4c C# SDK

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ICC4cPwmSdk.Device.ISignalGenerator Interface Reference
Inheritance diagram for ICC4cPwmSdk.Device.ISignalGenerator:

## Public Member Functions
EICC4cPwmUnitType | GetUnitType (EChannel channel)
| Returns active unit type on channel.
void | SetUnitType (EChannel channel, EICC4cPwmUnitType unit)
| Sets active unit type on channel.
bool | IsRunning (EChannel channel)
| Returns status of signal generator (running, stopped).
void | SwitchRunning (EChannel channel, bool enable)
| Disable/enable signal generator (running, stopped).
ESignalGeneratorShape | GetShape (EChannel channel)
| Returns shape of waveform.
void | SetShape (EChannel channel, ESignalGeneratorShape shape)
| Sets shape of waveform.
float | GetFrequency (EChannel channel)
| Returns frequency in Hz of generated signal.
void | SetFrequency (EChannel channel, float value)
| Sets frequency in Hz of generated signal.
float | GetAmplitude (EChannel channel)
| Returns amplitude of generated signal.
void | SetAmplitude (EChannel channel, float value)
| Sets amplitude of generated signal.
float | GetOffset (EChannel channel)
| Returns offset of generated signal.
void | SetOffset (EChannel channel, float offset)
| Sets offset of generated signal.
float | GetPhaseDelay (EChannel channel)
| Returns phase in rad of generated signal.
void | SetPhaseDelay (EChannel channel, float phaseDelay)
| Sets phase in rad of generated signal.
float | GetPhaseDelayDegrees (EChannel channel)
| Returns phase in degrees of generated signal.
void | SetPhaseDelayDegrees (EChannel channel, float phaseDelay)
| Sets phase in degrees of generated signal.
int | GetCycles (EChannel channel)
| Returns number of cycles to be generated. Signal generator is turned off after completion. Negative value corresponds to infinite looping.
void | SetCycles (EChannel channel, int cycles)
| Sets number of cycles to be generated. Signal generator is turned off after completion. Negative value corresponds to infinite looping.
float | GetDutyCycles (EChannel channel)
| Returns duty cycle of square and pulse shapes (ignored for other shape types)
void | SetDutyCycles (EChannel channel, float dutyCycles)
| Sets duty cycle of square and pulse shapes (ignored for other shape types)
EExternalTriggerType | GetExternalTrigger (EChannel channel)
| Returns flag. If true, turning on the signal generator can be synchronized with an external signal.
void | SetExternalTrigger (EChannel channel, EExternalTriggerType trigger)
| Sets flag. If true, turning on the signal generator can be synchronized with an external signal.
SignalGeneratorParametersDto | GetSignalGeneratorValues (EChannel channel)
| Returns object populated with signal generator values.
void | SetSignalGeneratorValues (EChannel channel, SignalGeneratorParametersDto axisValues)
| Sets object populated with signal generator values.

## Member Function Documentation

## ◆ GetAmplitude()

float ICC4cPwmSdk.Device.ISignalGenerator.GetAmplitude | ( | EChannel | channel | ) |

Returns amplitude of generated signal.

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ GetCycles()

int ICC4cPwmSdk.Device.ISignalGenerator.GetCycles | ( | EChannel | channel | ) |

Returns number of cycles to be generated. Signal generator is turned off after completion. Negative value corresponds to infinite looping.

Returns

## ◆ GetDutyCycles()

float ICC4cPwmSdk.Device.ISignalGenerator.GetDutyCycles | ( | EChannel | channel | ) |

Returns duty cycle of square and pulse shapes (ignored for other shape types)

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ GetExternalTrigger()

EExternalTriggerType ICC4cPwmSdk.Device.ISignalGenerator.GetExternalTrigger | ( | EChannel | channel | ) |

Returns flag. If true, turning on the signal generator can be synchronized with an external signal.

Returns

## ◆ GetFrequency()

float ICC4cPwmSdk.Device.ISignalGenerator.GetFrequency | ( | EChannel | channel | ) |

Returns frequency in Hz of generated signal.

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ GetOffset()

float ICC4cPwmSdk.Device.ISignalGenerator.GetOffset | ( | EChannel | channel | ) |

Returns offset of generated signal.

Returns

## ◆ GetPhaseDelay()

float ICC4cPwmSdk.Device.ISignalGenerator.GetPhaseDelay | ( | EChannel | channel | ) |

Returns phase in rad of generated signal.

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ GetPhaseDelayDegrees()

float ICC4cPwmSdk.Device.ISignalGenerator.GetPhaseDelayDegrees | ( | EChannel | channel | ) |

Returns phase in degrees of generated signal.

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ GetShape()

ESignalGeneratorShape ICC4cPwmSdk.Device.ISignalGenerator.GetShape | ( | EChannel | channel | ) |

Returns shape of waveform.

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ GetSignalGeneratorValues()

SignalGeneratorParametersDto ICC4cPwmSdk.Device.ISignalGenerator.GetSignalGeneratorValues | ( | EChannel | channel | ) |

Returns object populated with signal generator values.

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ GetUnitType()

EICC4cPwmUnitType ICC4cPwmSdk.Device.ISignalGenerator.GetUnitType | ( | EChannel | channel | ) |

Returns active unit type on channel.

Returns

## ◆ IsRunning()

bool ICC4cPwmSdk.Device.ISignalGenerator.IsRunning | ( | EChannel | channel | ) |

Returns status of signal generator (running, stopped).

Returns

## ◆ SetAmplitude()

void ICC4cPwmSdk.Device.ISignalGenerator.SetAmplitude | ( | EChannel | channel,
|  | float | value )

Sets amplitude of generated signal.

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ SetCycles()

void ICC4cPwmSdk.Device.ISignalGenerator.SetCycles | ( | EChannel | channel,
|  | int | cycles )

Sets number of cycles to be generated. Signal generator is turned off after completion. Negative value corresponds to infinite looping.

Returns

## ◆ SetDutyCycles()

void ICC4cPwmSdk.Device.ISignalGenerator.SetDutyCycles | ( | EChannel | channel,
|  | float | dutyCycles )

Sets duty cycle of square and pulse shapes (ignored for other shape types)

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ SetExternalTrigger()

void ICC4cPwmSdk.Device.ISignalGenerator.SetExternalTrigger | ( | EChannel | channel,
|  | EExternalTriggerType | trigger )

Sets flag. If true, turning on the signal generator can be synchronized with an external signal.

Returns

## ◆ SetFrequency()

void ICC4cPwmSdk.Device.ISignalGenerator.SetFrequency | ( | EChannel | channel,
|  | float | value )

Sets frequency in Hz of generated signal.

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ SetOffset()

void ICC4cPwmSdk.Device.ISignalGenerator.SetOffset | ( | EChannel | channel,
|  | float | offset )

Sets offset of generated signal.

Returns

## ◆ SetPhaseDelay()

void ICC4cPwmSdk.Device.ISignalGenerator.SetPhaseDelay | ( | EChannel | channel,
|  | float | phaseDelay )

Sets phase in rad of generated signal.

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ SetPhaseDelayDegrees()

void ICC4cPwmSdk.Device.ISignalGenerator.SetPhaseDelayDegrees | ( | EChannel | channel,
|  | float | phaseDelay )

Sets phase in degrees of generated signal.

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ SetShape()

void ICC4cPwmSdk.Device.ISignalGenerator.SetShape | ( | EChannel | channel,
|  | ESignalGeneratorShape | shape )

Sets shape of waveform.

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ SetSignalGeneratorValues()

void ICC4cPwmSdk.Device.ISignalGenerator.SetSignalGeneratorValues | ( | EChannel | channel,
|  | SignalGeneratorParametersDto | axisValues )

Sets object populated with signal generator values.

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ SetUnitType()

void ICC4cPwmSdk.Device.ISignalGenerator.SetUnitType | ( | EChannel | channel,
|  | EICC4cPwmUnitType | unit )

Sets active unit type on channel.

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ SwitchRunning()

void ICC4cPwmSdk.Device.ISignalGenerator.SwitchRunning | ( | EChannel | channel,
|  | bool | enable )

Disable/enable signal generator (running, stopped).

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

The documentation for this interface was generated from the following file:

- source/ICC4cPwmSdkDeviceController.cs